@echo off
REM Licensed Materials - Property of IBM
REM 5648-F10 (C) Copyright International Business Machines Corp. 2007
REM All Rights Reserved
REM US Government Users Restricted Rights- Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.

CALL "%~dp0GetShortName.bat" "%~dp0" LaunchPadBatchPath

REM Set the LaunchPadDefaultBrowser variable
IF {%LaunchPadDefaultBrowser%} == {} CALL "%LaunchPadBatchPath%\readRegistry.bat" "HKEY_CLASSES_ROOT\.html" @ browser LaunchPadDefaultBrowser

REM Normalize the registry data for Vista
IF NOT {%LaunchPadDefaultBrowser%} == {} SET LaunchPadDefaultBrowser=%LaunchPadDefaultBrowser: =%
IF NOT {%LaunchPadDefaultBrowser%} == {} SET LaunchPadDefaultBrowser=%LaunchPadDefaultBrowser:"=%
REM Convert registry code names
IF {%LaunchPadDefaultBrowser%} == {MozillaHTML} SET LaunchPadDefaultBrowser=Mozilla
IF {%LaunchPadDefaultBrowser%} == {FirefoxHTML} SET LaunchPadDefaultBrowser=Firefox
IF {%LaunchPadDefaultBrowser%} == {SeaMonkeyHTML} SET LaunchPadDefaultBrowser=SeaMonkey
IF {%LaunchPadDefaultBrowser%} == {htmlfile} SET LaunchPadDefaultBrowser=IExplore

echo %LaunchPadDefaultBrowser%